import unittest

from datetime import datetime

from farolluz.cvrf import CVRF, CVRFPublisher, CVRFTracking, CVRFTrackingID, CVRFRevision, ValidationError

def minimalDoc():
    """ create a minimal valid document """
    doc = CVRF('title', 'type')
    doc.setPublisher(CVRFPublisher('Other'))
    initial = datetime.now()
    current = datetime.now()
    track = CVRFTracking(CVRFTrackingID('1234'), 'Draft', (0,0), initial, current)
    track.addRevision(CVRFRevision((0,0), current, '1st'))
    doc.setTracking(track)
    return doc

class TestCase(unittest.TestCase):


    def _validate(self):
        try: self.doc.validate()
        except ValidationError as e: self.fail(e)

    def setUp(self):
        self.doc = minimalDoc()
        self._validate()

